import request from '@/utils/request'

// 查询包材到货单列表
export function listOdsRawOrderIn(query) {
	return request({
		url: '/wms/odsRawOrderIn/list',
		method: 'get',
		params: query
	});
}

// 查询包材到货单详细
export function getOdsRawOrderIn(rawOrderInId) {
	return request({
		url: '/wms/odsRawOrderIn/' + rawOrderInId,
		method: 'get'
		});
}

// 新增包材到货单
export function addOdsRawOrderIn(data) {
	return request({
		url: '/wms/odsRawOrderIn',
		method: 'post',
		data: data
	});
}

// 修改包材到货单
export function updateOdsRawOrderIn(data) {
	return request({
		url: '/wms/odsRawOrderIn',
		method: 'put',
		data: data
	});
}

// 删除包材到货单
export function delOdsRawOrderIn(rawOrderInId) {
	return request({
		url: '/wms/odsRawOrderIn/' + rawOrderInId,
		method: 'delete'
	});
}
